<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.


class OpenstreetmapSetting extends OpenstreetmapModuleAppModel {
    public $validate = [
        'server_url'      => [
            'notBlank' => [
                'rule'       => 'notBlank',
                'message'    => 'This field cannot be left blank.',
                'required'   => true,
                'allowEmpty' => false
            ],
        ],
        'reload_interval' => [
            'allowEmpty' => [
                'rule'     => 'notBlank',
                'message'  => 'This field cannot be left blank.',
                'required' => true,
            ],
            'numeric'    => [
                'rule'    => 'numeric',
                'message' => 'This field need to be numeric.',
            ],
            'comparison' => [
                'rule'    => ['comparison', '>=', 15],
                'message' => 'This value need to be at least 15',
            ],
        ],
    ];

    /**
     * @return array
     */
    public function getSettings() {
        $defaultSettings = [
            'OpenstreetmapSetting' => [
                'server_url'      => 'https://openstreetmap.openitcockpit.io/osm_tiles/{z}/{x}/{y}.png',
                'reload_interval' => 15
            ]
        ];
        $settings = Hash::merge($defaultSettings, $this->find('first'));
        $settings['OpenstreetmapSetting']['reload_interval'] = (int)$settings['OpenstreetmapSetting']['reload_interval'];
        return $settings;
    }
}
