<?php
/**
 * // Copyright (C) <2018>  <it-novum GmbH>
 * //
 * // This file is dual licensed
 * //
 * // 1.
 * //    This program is free software: you can redistribute it and/or modify
 * //    it under the terms of the GNU General Public License as published by
 * //    the Free Software Foundation, version 3 of the License.
 * //
 * //    This program is distributed in the hope that it will be useful,
 * //    but WITHOUT ANY WARRANTY; without even the implied warranty of
 * //    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * //    GNU General Public License for more details.
 * //
 * //    You should have received a copy of the GNU General Public License
 * //    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * //
 * // 2.
 * //    If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 * //    under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 * //    License agreement and license key will be shipped with the order
 * //    confirmation.
 */
?>

<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-map-o fa-fw "></i>
            <?php echo __('OpenStreetMap Module') ?>
            <span>>
                <?php echo __('Index'); ?>
            </span>
        </h1>
    </div>
</div>
<div ng-cloak ng-style="{display: (parametersMissing === true)?'block':'none'}">
    <div id="parametersMissing" class="jarviswidget" ng-if="parametersMissing || locations.length === 0">
        <header>
            <span class="widget-icon"> <i class="fa fa-exclamation-triangle text-danger"></i> </span>
            <h2 class="text-danger-important"><?php echo __('Missing configuration or location settings'); ?></h2>
        </header>
        <div>
            <div class="widget-body padding-20">
                <div ng-cloak ng-if="parametersMissing">
                    <div class="alert alert-danger">
                        <i class="fa-fw fa fa-times"></i>
                        <?php if ($this->Acl->hasPermission('index', 'openstreetmapsettings', 'openstreetmapmodule')): ?>
                            <a href="/openstreetmap_module/openstreetmap_settings/index" target="_blank"
                               class="txt-color-white">
                                <i class="fa fa-cogs"></i>
                                <?php echo __('Configuration / OpenStreetMap Settings'); ?>
                            </a>
                        <?php else: ?>
                            <?php echo __('No OpenStreetMap Settings defined'); ?>
                        <?php endif ?>
                    </div>
                </div>
                <div ng-cloak ng-if="locations.length === 0">
                    <div class="alert alert-info">
                        <i class="fa-fw fa fa-info-circle"></i>
                        <?php if ($this->Acl->hasPermission('index', 'locations', '')): ?>
                            <a href="/locations/index" target="_blank">
                                <i class="fa fa-location-arrow"></i>
                                <?php echo __('Basic Monitoring / Locations'); ?>
                            </a>
                        <?php else: ?>
                            <?php echo __('Missing  Settings'); ?>
                        <?php endif ?>
                        <?php echo __('No locations with longitude and latitude parameter defined'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xs-12 no-padding">
        <div id="map"></div>
        <div id="legend">
            <div id="legend-inner">
                <div class="gradient">
                    <div class="limit"></div>
                </div>
                <div class="labels">
                    <div class="label" style="bottom: 99%;">
                        <?php echo __('Unreachable | Unknown'); ?>
                    </div>
                    <div class="label" style="bottom: 75%;">
                        <?php echo __('Down | Critical'); ?>
                    </div>
                    <div class="label" style="bottom: 50%;">
                        <?php echo __('Warning'); ?>
                    </div>
                    <div class="label" style="bottom: 25%;">
                        <?php echo __('Up | Ok'); ?>
                    </div>
                    <div class="label" style="bottom: 0%;">
                        <?php echo __('Not monitored'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<openstreetmap-summary></openstreetmap-summary>
